/*
    INCLUDE     : INICGRAF.INC
    AUTOR       : Moiss Martn Hdez. Rguez.
    BIBLIOGRAFIA:
    REVISION    : 15/9/93.
    COMENTARIO  :
    FINALIDAD   : Inicializar el modo grfico segn la tarjeta grfica del
		  ordenador.
*/
#include <graphics.h>

#define path ""

/* prototipos de los procedimientos */
void inicgraf(void);

void inicgraf(void)
{
int gdriver = DETECT, gmode, errorcode;

/* Inicializa el modo grfico */
initgraph(&gdriver, &gmode, path);

/* Lee el resultado de la inicializacin */
errorcode = graphresult();
if (errorcode != grOk)   /* Ocurri un error */
    {
    printf("GRAPHICS ERROR: %s\n", grapherrormsg(errorcode));
    printf("Press any key to halt:");
    getch();
    exit(1);  /* Abortar */
    }
}
